/*
    libcentroidal_profile provides functions to calculate centroidal profiles
    of regions and match them against one another.
    Copyright (C) 2004  Sebastian Hans <hanss@in.tum.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <centroidal_profile_internal.h>

#include <stdlib.h> /* malloc, free */

cp_match_t *cp_create_match(cp_model_t *model)
{
	cp_match_t *match;

	if (!(match = malloc(sizeof(cp_match_t))))
		return NULL;

	match->model = model;
	match->prev = match->next = NULL;

	return match;
}

void cp_destroy_match(cp_match_t *match)
{
	if (match)
		free(match);
}
